The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Get Exclusions

Prev Next

This URL gets all exclusions for a specific threat feed.

Resource URL

GET /getAllExclusions/{threatFeedId}

Request Parameters

URL Parameters:

Field Name

Description

Data Type

Mandatory

threatFeedId

Threat feed Id

Number

Yes

Response Parameters

The following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name

Description

Data Type

success

Success status (true or false)

Boolean

msg

Message

String

errMsg

Error message

String

data

Data

String

errorCode

Error code

Number

Details of data:

Field Name

Description

Data Type

value

The excluded IoC value

(Can be IPv4/IPv6 endpoints or CIDRs, domains, URLs, or MD5/ SHA-256 file hash)

String

type

List of enabled IoC types:

IOC_IPv4_ENDPOINT_TYPE = 1, IOC_IPv6_ENDPOINT_TYPE = 2, IOC_IPv4_CIDR_TYPE = 3, IOC_IPv6_CIDR_TYPE = 4, IOC_HOST_DOMAIN_NAME_TYPE = 5, IOC_URL_TYPE = 6, IOC_FILE_HASH_TYPE = 7

Number

include

Indicates if the value is included or excluded

Boolean

subType

Subtype of the IoC

(Subtype is -1 for all except MD5 (71) and SHA-256 (72) file hash)

Number

Example

Request

GET https://<Manager_IP>/sdkapi/getAllExclusions/2

Response

{
    "success": true,
    "msg": null,
    "errMsg": null,
    "data": [
        {
            "value": "1.1.1.x",
            "type": 1,
            "include": false,
            "subType": -1
        },
        {
            "value": "5555::9",
            "type": 2,
            "include": false,
            "subType": -1
        },
        {
            "value": "192.x.1.0/24",
            "type": 3,
            "include": false,
            "subType": -1
        }
    ],
    "errorCode": 0
}

Error Information

The following error code is returned by this URL:

S.No

Generic Error Codes

ErrorMessage

Error Reason

1

1001

Bad URL - HTTP 404 Not Found

Mistyped URL

Internal Error – Null

Incorrect Input data, authentication issues